## marble 4.14.1

=== debian/changelog ===
marble (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Build-depend on libquazip-dev rather than libquazip0-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2014 13:28:50 +0100

marble (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:49:45 +0200

marble (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:35:00 +0200

marble (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Update .symbols file for armhf 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Aug 2014 18:17:17 +0200

marble (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:24:58 +0200

marble (4:4.13.95-0ubuntu2) utopic; urgency=medium

  * update symbols for new gcc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Jul 2014 17:44:35 +0200

marble (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:50:32 +0200

marble (4:4.13.90-0ubuntu3) utopic; urgency=medium

  * Fix another two symbols on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jul 2014 16:07:46 +0100

marble (4:4.13.90-0ubuntu2) utopic; urgency=medium

  * Put the old contents of debian/libmarblewidget18.symbols back as
    debian/libmarblewidget19.symbols, and just update it for the changes in
    libmarblewidget19 rather than rewriting it from scratch.  This way we
    keep the previous changes to handle qreal differences on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jul 2014 15:34:34 +0100

marble (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Switch to libmarblewidget19 for new soversion

  [ Scarlett Clark ]
  * New upstream beta release
  * Update: do_not_install_private_headers. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:38:32 +0200

marble (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Update debian/libmarblewidget18.symbols for armhf specific symbol changes

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Jun 2014 22:46:57 -0400

marble (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * Remove upstream_tests-fix-build-when-qreal-double.patch now upstream
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:36:33 +0100

marble (4:4.13.1-2ubuntu1) utopic; urgency=medium

  * Merge with debian, remaining changes
    - libquazip-dev -> libquazip0-dev
    - Keep Breaks/Replaces
    - Add libwlocate-dev to build deps
    - Keep our symbols files

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 12 Jun 2014 19:15:58 +0200

marble (4:4.13.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update copyright information.
  * Release to unstable.

  [ Pino Toscano ]
  * Backport upstream commit d74ea1c8f4e983329bdae96b04e6958d207043c4 to fix
    build when qreal != double; patch
    upstream_tests-fix-build-when-qreal-double.patch.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Jun 2014 11:27:36 +0200

marble (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies.
  * Update symbols files with 4:4.12.4-2 build logs.
  * Split marble, new bin:marble-touch.
  * Split marble, new bin:marble-qt.
  * New library package, libastro1, and -dev.
  * Update libmarblewidget soversion to 18.
  * Refresh patches.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 11:25:02 +0200

marble (4:4.13.0-0ubuntu2) UNRELEASED; urgency=medium

  * Split marble-mobile into an own package LP: #1312104
    + Dependency/Suggests retained from marble package (at least the deps
      actually are confirmed as required)

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 25 Apr 2014 09:39:29 +0200

marble (4:4.12.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 May 2014 09:35:46 +0200

marble (4:4.12.4-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 May 2014 09:35:32 +0200

marble (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:02 +0100

marble (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update: do_not_install_private_headers.
  * Bump libmarblewidget so version.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:24 +0100

marble (4:4.11.5+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Enable build failures on missing symbols.
  * Add autopkgtests.
  * Add abi-compliance-checker info.
  * New patch: do_not_install_private_headers

 -- Maximiliano Curia <maxy@debian.org>  Wed, 29 Jan 2014 15:56:08 +0100

marble (4:4.11.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Repack the source without docs/marble-intro.pdf, we lack the sources for
    it (Closes: #726573).
  * Update symbols files with buildd's logs.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Extend packages descriptions.
  * Mangle dfsg in debian/watch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 25 Jan 2014 21:29:54 -0300

marble (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:24:06 +0100

marble (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

  [ Maximiliano Curia ]
  * Bump libmarblewidget package soname.
  * Update install files.
  * Update not-installed.
  * Add symbols for libmarblewidget16.
  * Add libquazip-dev build-dependency.
  * Add quazip kmz related files to install files.

  [ Pino Toscano ]

