=== debian/changelog ===
marble (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:41 +0200

marble (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:50 +0200

marble (4:4.14.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 28 Aug 2014 23:43:16 +0200

marble (4:4.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove upstream patch: upstream_revert-fix-loading-of-relative-
    local-resources-in-popup-dialog.patch
  * Update libmarblewidget soversion to 19.
  * Reenable the do_not_install_private_headers patch.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 03:13:30 +0200

marble (4:4.13.3-2) unstable; urgency=medium

  * New upstream patch: upstream_revert-fix-loading-of-relative-local-
    resources-in-popup-dialog.patch
  * Remove patch: dummy_setContent_preserve_abi
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 11:53:39 +0200

marble (4:4.13.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #746880)
  * Remove patch: upstream_tests-fix-build-when-qreal-double.patch
    applied upstream.
  * Update symbols with previous build logs.
  * New patch: dummy_setContent_preserve_abi
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Jul 2014 15:42:19 +0200
