=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: marble
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libgps-dev (>= 2.90),
                libphonon-dev,
                libqextserialport-dev,
@@ -15,7 +14,6 @@
                libquazip-dev,
                libshp-dev,
                libx11-dev,
-               libwlocate-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtmobility-dev [linux-any],
@@ -23,10 +21,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/marble.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/marble.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/marble.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/marble.git
 
 Package: marble
 Architecture: any
@@ -50,8 +46,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version}),
  marble-plugins (= ${binary:Version})
 Suggests: libqt4-sql-sqlite, monav-routing-daemon, routino, gosmore
-Breaks: marble (<< 4:4.13.0-0ubuntu2~)
-Replaces: marble (<< 4:4.13.0-0ubuntu2~)
+Breaks: marble (<< 4:4.13)
+Replaces: marble (<< 4:4.13)
 Description: globe and map widget for mobile form factors
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not
@@ -109,7 +105,7 @@
 Package: marble-plugins
 Architecture: any
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends}, libwlocate0
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: libmarble4
 Breaks: libmarble4
 Description: plugins for Marble
