=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://download.kde.org/stable/([\d.]+)/src/marble-([\d.]+).tar.xz
